Index: trunk/ippTools/scripts/dettest.sh
===================================================================
--- trunk/ippTools/scripts/dettest.sh	(revision 9707)
+++ trunk/ippTools/scripts/dettest.sh	(revision 9709)
@@ -26,6 +26,4 @@
 dettool -tonormalizedstat || exit 1
 
-exit 0
-
 for ID in `seq 0 3` ; do
     dettool -addnormalizedstat -det_id $det_id -class_id $ID -norm 0.12345 || exit 1
@@ -40,5 +38,5 @@
 dettool -addnormalizedexp -det_id $det_id -recip myrecipe -bg 1 -bg_stdev 2 -bg_mean_stdev 3 -b1_uri file://normalizedexp -b2_uri file://normlalizedexp|| exit 1
 
-dettool -toresid || exit 1
+dettool -toresidimfile || exit 1
 
 for ID in `seq 0 3` ; do
@@ -58,4 +56,6 @@
 dettool -updateresidexp -det_id $det_id -iteration 0 -exp_tag t10 -reject || exit 1
 dettool -updateresidexp -det_id $det_id -iteration 0 -exp_tag t11 || exit 1
+
+dettool -adddetrunsummary -det_id $det_id -iteration 0 -bg 1 -bg_stdev 2 -bg_mean_stdev 3 -accept || exit 1
 dettool -residexp || exit 1
-dettool -updatedetrun -det_id $det_id -again || exit 1
+dettool -updatedetrun -det_id $det_id -stop || exit 1
